#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open("README.rst") as readme_file:
    readme = readme_file.read()

with open("HISTORY.rst") as history_file:
    history = history_file.read()

requirements = ["Click>=7.0", "PyYAML", "Rich", "singleton-decorator"]

test_requirements = []

setup(
    author="Jaideep Sundaram",
    author_email="jai.python3@gmail.com",
    python_requires=">=3.6",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "Natural Language :: English",
        "Programming Language :: Python :: 3.12",
    ],
    description="Python module for reporting runtime metadata.",
    install_requires=requirements,
    long_description=readme + "\n\n" + history,
    include_package_data=True,
    keywords="runtime_reporting_utils",
    name="runtime_reporting_utils",
    packages=find_packages(
        include=["runtime_reporting_utils", "runtime_reporting_utils.*"]
    ),
    package_data={
        "runtime_reporting_utils": [
            "conf/config.yaml",
        ]
    },
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/jai-python3/runtime-reporting-utils",
    version="0.1.0",
    zip_safe=False,
)
